
Redmine - Defect #12856

Required field Category cannot be edited by Non Member user when adding ticket

2013-01-15 17:31 - Mathias Kühn

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.2.1

Description

We have several projects within Redmine and users are either members of one or more projects or just registered as user without

any association with any project.

The permissions allow Non Member users to add tickets to any project. In addition the Category-Field was set to be required. Once

such a user is trying to add a new ticket, all fields except for the Category-Field are displayed and thereby blocks the user from

entering a ticket as the category is required.

Here's the version information for our installation:

Environment:

  Redmine version                          2.1.2.stable.10607

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.8

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  redmine_inline_attach_screenshot         0.4.2

  redmine_ldap_sync                        1.2.0

  redmine_wiki_toc                         0.0.4

We verified this behaviour also with the 2.2-Version of Redmine:

Environment:

  Redmine version                          2.2.0.stable

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.9

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  redmine_inline_attach_screenshot         0.4.2

  redmine_ldap_sync                        1.2.0

  redmine_wiki_toc                         0.0.4

Related issues:

Related to Redmine - Defect #12954: Required field can't be read-only Closed

History

#1 - 2013-01-18 10:50 - Daniel Felix

- Status changed from New to Confirmed

- Affected version (unused) changed from 2.2.0 to 2.2.1

- Affected version changed from 2.2.0 to 2.2.1

I can confirm this even in 2.2.1.

This bug has hidden me too.

#2 - 2013-01-19 15:13 - Etienne Massip
- Resolution set to Cant reproduce

I was unable to reproduce neither on 2.1 on m.redmine.org nor on trunk.

I think that the problem might actually be that no category is configured in the project?

#3 - 2013-01-19 15:40 - Daniel Felix

Normally this appears if there is no category field visible due to tracker/role but it's defined as required.

#4 - 2013-01-19 15:44 - Etienne Massip

Could you please reproduce on demo and point me to it?

#5 - 2013-01-19 16:55 - Daniel Felix

- Status changed from Confirmed to New

Etienne Massip wrote:

Could you please reproduce on demo and point me to it?

 Well I'm not able to reproduce this after another git pull. I'm not sure, maybe this is fixed by another commit or I have seen this in my testsystem,

where I checked some patches. Well Etienne is right, this could not be reproduced.

#6 - 2013-01-19 16:55 - Daniel Felix

- Status changed from New to Needs feedback

Sorry had to set this on new first. I can't switch from "Confirmed" back to "Needs Feedback"

#7 - 2013-01-22 15:23 - Mathias Kühn

I was just able to check this on the actual site and you are absolutely right; the field did not appear as the project had no categories defined. However,

since this field was set to be required, the ticket could not be created.

#8 - 2013-01-25 12:31 - Etienne Massip

Mathias Kühn wrote:

I was just able to check this on the actual site and you are absolutely right; the field did not appear as the project had no categories defined.

However, since this field was set to be required, the ticket could not be created.

 Is this what you meant to do, did you expect reporter to create a new category (usually reporters don't have the right to do so)?

Or did you just forget to create the categories?

#9 - 2013-01-25 13:51 - Mathias Kühn

Well, the original intention was to have one tracker for multiple projects behaving exactly the same, always forcing the user to enter a category.

Categories themselves should not be editable by that user. Now we were in the dilemma that this project and ultimately also some others did not have

any categories defined, rendering that tracker unusable. To me there are two solutions; either we add another tracker without Categorie being

required, or change redmine to enforce the required field only if categories are available.

I believe the way it is implemented now is fine. Anything else would lead to even bigger issues down the road.
